/*******************************************************************************
* File Name: B_Inv.h  
* Version 1.60
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2010, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
********************************************************************************/

#if !defined(CY_PINS_B_Inv_H) /* Pins B_Inv_H */
#define CY_PINS_B_Inv_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "B_Inv_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    B_Inv_Write(uint8 value) ;
void    B_Inv_SetDriveMode(uint8 mode) ;
uint8   B_Inv_ReadDataReg(void) ;
uint8   B_Inv_Read(void) ;
uint8   B_Inv_ClearInterrupt(void) ;

/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define B_Inv_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define B_Inv_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define B_Inv_DM_RES_UP          PIN_DM_RES_UP
#define B_Inv_DM_RES_DWN         PIN_DM_RES_DWN
#define B_Inv_DM_OD_LO           PIN_DM_OD_LO
#define B_Inv_DM_OD_HI           PIN_DM_OD_HI
#define B_Inv_DM_STRONG          PIN_DM_STRONG
#define B_Inv_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define B_Inv_MASK               B_Inv__MASK
#define B_Inv_SHIFT              B_Inv__SHIFT
#define B_Inv_WIDTH              1u

/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define B_Inv_PS                     (* (reg8 *) B_Inv__PS)
/* Data Register */
#define B_Inv_DR                     (* (reg8 *) B_Inv__DR)
/* Port Number */
#define B_Inv_PRT_NUM                (* (reg8 *) B_Inv__PRT) 
/* Connect to Analog Globals */                                                  
#define B_Inv_AG                     (* (reg8 *) B_Inv__AG)                       
/* Analog MUX bux enable */
#define B_Inv_AMUX                   (* (reg8 *) B_Inv__AMUX) 
/* Bidirectional Enable */                                                        
#define B_Inv_BIE                    (* (reg8 *) B_Inv__BIE)
/* Bit-mask for Aliased Register Access */
#define B_Inv_BIT_MASK               (* (reg8 *) B_Inv__BIT_MASK)
/* Bypass Enable */
#define B_Inv_BYP                    (* (reg8 *) B_Inv__BYP)
/* Port wide control signals */                                                   
#define B_Inv_CTL                    (* (reg8 *) B_Inv__CTL)
/* Drive Modes */
#define B_Inv_DM0                    (* (reg8 *) B_Inv__DM0) 
#define B_Inv_DM1                    (* (reg8 *) B_Inv__DM1)
#define B_Inv_DM2                    (* (reg8 *) B_Inv__DM2) 
/* Input Buffer Disable Override */
#define B_Inv_INP_DIS                (* (reg8 *) B_Inv__INP_DIS)
/* LCD Common or Segment Drive */
#define B_Inv_LCD_COM_SEG            (* (reg8 *) B_Inv__LCD_COM_SEG)
/* Enable Segment LCD */
#define B_Inv_LCD_EN                 (* (reg8 *) B_Inv__LCD_EN)
/* Slew Rate Control */
#define B_Inv_SLW                    (* (reg8 *) B_Inv__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define B_Inv_PRTDSI__CAPS_SEL       (* (reg8 *) B_Inv__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define B_Inv_PRTDSI__DBL_SYNC_IN    (* (reg8 *) B_Inv__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define B_Inv_PRTDSI__OE_SEL0        (* (reg8 *) B_Inv__PRTDSI__OE_SEL0) 
#define B_Inv_PRTDSI__OE_SEL1        (* (reg8 *) B_Inv__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define B_Inv_PRTDSI__OUT_SEL0       (* (reg8 *) B_Inv__PRTDSI__OUT_SEL0) 
#define B_Inv_PRTDSI__OUT_SEL1       (* (reg8 *) B_Inv__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define B_Inv_PRTDSI__SYNC_OUT       (* (reg8 *) B_Inv__PRTDSI__SYNC_OUT) 


#if defined(B_Inv__INTSTAT)  /* Interrupt Registers */

    #define B_Inv_INTSTAT                (* (reg8 *) B_Inv__INTSTAT)
    #define B_Inv_SNAP                   (* (reg8 *) B_Inv__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins B_Inv_H */


/* [] END OF FILE */
