/*******************************************************************************
* File Name: Timer_1_Output.h  
* Version 1.60
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2010, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
********************************************************************************/

#if !defined(CY_PINS_Timer_1_Output_H) /* Pins Timer_1_Output_H */
#define CY_PINS_Timer_1_Output_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "Timer_1_Output_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    Timer_1_Output_Write(uint8 value) ;
void    Timer_1_Output_SetDriveMode(uint8 mode) ;
uint8   Timer_1_Output_ReadDataReg(void) ;
uint8   Timer_1_Output_Read(void) ;
uint8   Timer_1_Output_ClearInterrupt(void) ;

/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define Timer_1_Output_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define Timer_1_Output_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define Timer_1_Output_DM_RES_UP          PIN_DM_RES_UP
#define Timer_1_Output_DM_RES_DWN         PIN_DM_RES_DWN
#define Timer_1_Output_DM_OD_LO           PIN_DM_OD_LO
#define Timer_1_Output_DM_OD_HI           PIN_DM_OD_HI
#define Timer_1_Output_DM_STRONG          PIN_DM_STRONG
#define Timer_1_Output_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define Timer_1_Output_MASK               Timer_1_Output__MASK
#define Timer_1_Output_SHIFT              Timer_1_Output__SHIFT
#define Timer_1_Output_WIDTH              1u

/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define Timer_1_Output_PS                     (* (reg8 *) Timer_1_Output__PS)
/* Data Register */
#define Timer_1_Output_DR                     (* (reg8 *) Timer_1_Output__DR)
/* Port Number */
#define Timer_1_Output_PRT_NUM                (* (reg8 *) Timer_1_Output__PRT) 
/* Connect to Analog Globals */                                                  
#define Timer_1_Output_AG                     (* (reg8 *) Timer_1_Output__AG)                       
/* Analog MUX bux enable */
#define Timer_1_Output_AMUX                   (* (reg8 *) Timer_1_Output__AMUX) 
/* Bidirectional Enable */                                                        
#define Timer_1_Output_BIE                    (* (reg8 *) Timer_1_Output__BIE)
/* Bit-mask for Aliased Register Access */
#define Timer_1_Output_BIT_MASK               (* (reg8 *) Timer_1_Output__BIT_MASK)
/* Bypass Enable */
#define Timer_1_Output_BYP                    (* (reg8 *) Timer_1_Output__BYP)
/* Port wide control signals */                                                   
#define Timer_1_Output_CTL                    (* (reg8 *) Timer_1_Output__CTL)
/* Drive Modes */
#define Timer_1_Output_DM0                    (* (reg8 *) Timer_1_Output__DM0) 
#define Timer_1_Output_DM1                    (* (reg8 *) Timer_1_Output__DM1)
#define Timer_1_Output_DM2                    (* (reg8 *) Timer_1_Output__DM2) 
/* Input Buffer Disable Override */
#define Timer_1_Output_INP_DIS                (* (reg8 *) Timer_1_Output__INP_DIS)
/* LCD Common or Segment Drive */
#define Timer_1_Output_LCD_COM_SEG            (* (reg8 *) Timer_1_Output__LCD_COM_SEG)
/* Enable Segment LCD */
#define Timer_1_Output_LCD_EN                 (* (reg8 *) Timer_1_Output__LCD_EN)
/* Slew Rate Control */
#define Timer_1_Output_SLW                    (* (reg8 *) Timer_1_Output__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define Timer_1_Output_PRTDSI__CAPS_SEL       (* (reg8 *) Timer_1_Output__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define Timer_1_Output_PRTDSI__DBL_SYNC_IN    (* (reg8 *) Timer_1_Output__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define Timer_1_Output_PRTDSI__OE_SEL0        (* (reg8 *) Timer_1_Output__PRTDSI__OE_SEL0) 
#define Timer_1_Output_PRTDSI__OE_SEL1        (* (reg8 *) Timer_1_Output__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define Timer_1_Output_PRTDSI__OUT_SEL0       (* (reg8 *) Timer_1_Output__PRTDSI__OUT_SEL0) 
#define Timer_1_Output_PRTDSI__OUT_SEL1       (* (reg8 *) Timer_1_Output__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define Timer_1_Output_PRTDSI__SYNC_OUT       (* (reg8 *) Timer_1_Output__PRTDSI__SYNC_OUT) 


#if defined(Timer_1_Output__INTSTAT)  /* Interrupt Registers */

    #define Timer_1_Output_INTSTAT                (* (reg8 *) Timer_1_Output__INTSTAT)
    #define Timer_1_Output_SNAP                   (* (reg8 *) Timer_1_Output__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins Timer_1_Output_H */


/* [] END OF FILE */
